Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface PropertiesAccess

All Known Subinterfaces:
  AdminObjectResourceConfig, AdminServiceConfig, AuditModuleConfig, AuthRealmConfig, AvailabilityServiceConfig, ClusterConfig, ClusteredServerConfig, ConfigConfig, ConnectorConnectionPoolConfig, ConnectorResourceConfig, CustomResourceConfig, DomainConfig, EJBContainerAvailabilityConfig, EJBContainerConfig, EJBTimerServiceConfig, HealthCheckerConfig, HTTPListenerConfig, HTTPServiceConfig, IIOPListenerConfig, JACCProviderConfig, JavaConfig, JDBCConnectionPoolConfig, JDBCResourceConfig, JMSHostConfig, JMSResourceConfig, JMXConnectorConfig, JNDIResourceConfig, LBClusterRefConfig, LBConfig, LogServiceConfig, MailResourceConfig, ManagerPropertiesConfig, MDBContainerConfig, ModuleLogLevelsConfig, ModuleMonitoringLevelsConfig, MonitoringServiceConfig, NodeAgentConfig, ORBConfig, PersistenceManagerFactoryResourceConfig, ProfilerConfig, ProviderConfig, QuorumServiceConfig, ResourceAdapterConfig, ResourceConfig, SecurityServiceConfig, ServerConfig, SessionPropertiesConfig, StandaloneServerConfig, StorePropertiesConfig, TransactionServiceConfig, VirtualServerConfig, WebContainerAvailabilityConfig, WebContainerConfig

public interface PropertiesAccess

All MBeans that have Properties must extend this interface.

Properties are always Strings. Property names are required to be unique (???).

Field Summary
`static java.lang.String` | `PROPERTY_PREFIX` When a key is required for a property in a Map, its name must consist of this prefix plus the actual name.

Method Summary
`void` | `createProperty(java.lang.String propertyName, java.lang.String propertyValue)` Create a new property.
`boolean` | `existsProperty(java.lang.String propertyName)` Return true if any properties exist with the specified name.
`java.util.Map` | `getProperties()`
`java.lang.String[]` | `getPropertyNames()` Get the names of all properties.
`java.lang.String` | `getPropertyValue(java.lang.String propertyName)` Get the value of a property.
`void` | `removeProperty(java.lang.String propertyName)` Remove a property with the specified name.
`void` | `setPropertyValue(java.lang.String propertyName, java.lang.String propertyValue)` Set the value of a property.

Field Detail

### PROPERTY_PREFIX

    public static final java.lang.String PROPERTY_PREFIX

  When a key is required for a property in a Map, its name must consist of this prefix plus the actual name. When accessing a property directly, this prefix must not be used.

  See Also:
    Constant Field Values

Method Detail

### getPropertyNames

    public java.lang.String[] getPropertyNames()

  Get the names of all properties.

### getProperties

    public java.util.Map getProperties()

  Returns:
    Map containing all properties, keyed by name

### getPropertyValue

    public java.lang.String getPropertyValue(java.lang.String propertyName)

  Get the value of a property.

  Parameters:
    `propertyName` - the name of the property

### setPropertyValue

    public void setPropertyValue(java.lang.String propertyName,
                                 java.lang.String propertyValue)

  Set the value of a property. The property must already exist. The existing description is retained.

  Parameters:
    `propertyName` - the name of the property
    `propertyValue` - the value of the property

### existsProperty

    public boolean existsProperty(java.lang.String propertyName)

  Return true if any properties exist with the specified name.

  Parameters:
    `propertyName` - the name of the property

### createProperty

    public void createProperty(java.lang.String propertyName,
                               java.lang.String propertyValue)

  Create a new property.

  Parameters:
    `propertyName` - the name of the property
    `propertyValue` - the value of the property

### removeProperty

    public void removeProperty(java.lang.String propertyName)

  Remove a property with the specified name.

  Parameters:
    `propertyName` - the name of the property

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.